Skip to main content
GET
/
v1
/
webhooks
/
{subscription_id}
/
deliveries
List Webhook Deliveries
curl --request GET \
  --url https://api.example.com/v1/webhooks/{subscription_id}/deliveries \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "attempt_count": 1,
      "created_at": "2024-01-15T10:30:00Z",
      "delivered_at": "2024-01-15T10:31:00Z",
      "event_id": "550e8400-e29b-41d4-a716-446655440021",
      "event_type": "patient_created",
      "id": "550e8400-e29b-41d4-a716-446655440017",
      "max_attempts": 3,
      "response_code": 200,
      "status": "delivered",
      "subscription_id": "550e8400-e29b-41d4-a716-446655440018",
      "updated_at": "2024-01-15T10:31:00Z"
    }
  ],
  "pagination": {
    "has_more": true,
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

subscription_id
string
required

Query Parameters

page
integer | null
default:1
Required range: x >= 1
limit
integer | null
default:50
Required range: 1 <= x <= 100
event_type
string | null
status
string | null
starting_after
string | null
ending_before
string | null

Response

Successful Response

List response for webhook deliveries

data
WebhookDelivery · object[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page